package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BusDeviceRunningMapper;
import com.ruoyi.system.domain.BusDeviceRunning;
import com.ruoyi.system.service.IBusDeviceRunningService;

/**
 * 运行状态Service业务层处理
 * 
 * @author zsl
 * @date 2022-06-17
 */
@Service
public class BusDeviceRunningServiceImpl implements IBusDeviceRunningService 
{
    @Autowired
    private BusDeviceRunningMapper busDeviceRunningMapper;

    /**
     * 查询运行状态
     * 
     * @param id 运行状态主键
     * @return 运行状态
     */
    @Override
    public BusDeviceRunning selectBusDeviceRunningById(Long id)
    {
        return busDeviceRunningMapper.selectBusDeviceRunningById(id);
    }

    /**
     * 查询运行状态列表
     * 
     * @param busDeviceRunning 运行状态
     * @return 运行状态
     */
    @Override
    public List<BusDeviceRunning> selectBusDeviceRunningList(BusDeviceRunning busDeviceRunning)
    {
        return busDeviceRunningMapper.selectBusDeviceRunningList(busDeviceRunning);
    }

    /**
     * 新增运行状态
     * 
     * @param busDeviceRunning 运行状态
     * @return 结果
     */
    @Override
    public int insertBusDeviceRunning(BusDeviceRunning busDeviceRunning)
    {
        return busDeviceRunningMapper.insertBusDeviceRunning(busDeviceRunning);
    }

    /**
     * 修改运行状态
     * 
     * @param busDeviceRunning 运行状态
     * @return 结果
     */
    @Override
    public int updateBusDeviceRunning(BusDeviceRunning busDeviceRunning)
    {
        return busDeviceRunningMapper.updateBusDeviceRunning(busDeviceRunning);
    }

    /**
     * 批量删除运行状态
     * 
     * @param ids 需要删除的运行状态主键
     * @return 结果
     */
    @Override
    public int deleteBusDeviceRunningByIds(Long[] ids)
    {
        return busDeviceRunningMapper.deleteBusDeviceRunningByIds(ids);
    }

    /**
     * 删除运行状态信息
     * 
     * @param id 运行状态主键
     * @return 结果
     */
    @Override
    public int deleteBusDeviceRunningById(Long id)
    {
        return busDeviceRunningMapper.deleteBusDeviceRunningById(id);
    }
}
